Skip to content
Permalink
Browse files

update t2tdoc outputs (INSTALL, NEWS; followup 0d9945d)

  • Loading branch information
jef-n committed Jul 14, 2017
1 parent bf94df8 commit 9c08d0050f4ee00db7fdf12e37e964e2c02eabf2
Showing with 23 additions and 30 deletions.
  1. +5 −5 INSTALL
  2. +3 −3 NEWS
  3. +8 −15 doc/INSTALL.html
  4. +4 −4 doc/news.html
  5. +1 −1 doc/news.t2t
  6. +2 −2 doc/osx.t2t
10 INSTALL
@@ -1,10 +1,10 @@
QGIS
Building QGIS from source - step by step
Saturday July 08, 2017
Friday July 14, 2017


Last Updated: Saturday July 08, 2017
Last Change : Tuesday July 04, 2017
Last Updated: Friday July 14, 2017
Last Change : Friday July 14, 2017


1. Introduction
@@ -1246,9 +1246,9 @@ http://www.kyngchaos.com/software/frameworks
Once downloaded, open and install the frameworks.

William provides an additional installer package for PostgreSQL (for PostGIS
support). QGIS just needs the libpq client library, so unless you want to
support). QGIS just needs the libpq client library, so unless you want to
setup the full Postgres + PostGIS server, all you need is the client-only
package. It's available here:
package. It's available here:

http://www.kyngchaos.com/software/postgres

6 NEWS
@@ -1,6 +1,6 @@
QGIS News
Change history for the QGIS Project
Saturday April 29, 2017
Friday July 14, 2017


------------------------------------------------------------------------
@@ -39,8 +39,8 @@ Saturday April 29, 2017
------------------------------------------------------------------------


Last Updated: Saturday April 29, 2017
Last Change : Saturday April 29, 2017
Last Updated: Friday July 14, 2017
Last Change : Friday July 14, 2017


1. What's new in Version 2.16 'Nødebo'?
@@ -77,13 +77,13 @@
<DIV CLASS="header" ID="header">
<H1>QGIS</H1>
<H2>Building QGIS from source - step by step</H2>
<H3>Tuesday June 27, 2017</H3>
<H3>Friday July 14, 2017</H3>
</DIV>

<DIV CLASS="body" ID="body">
<P>
Last Updated: Tuesday June 27, 2017
Last Change : Tuesday June 27, 2017
Last Updated: Friday July 14, 2017
Last Change : Friday July 14, 2017
</P>
<DIV CLASS="toc">

@@ -433,7 +433,7 @@ <H2>3.7. Starting the compile</H2>
interactive dialog.
</P>
<P>
/!\ <B>Warning:</B> Make sure that your build directory is completely empty when you
/!\ <B>Warning:</B> Make sure that your build directory is completely empty when you
enter the command. Do never try to "re-use" an existing <B>Qt4</B> build directory.
If you want to use `ccmake` or other interactive tools, run the command in
the empty build directory once before starting to use the interactive tools.
@@ -590,14 +590,7 @@ <H2>3.9. On Fedora Linux</H2>
<H3>3.9.1. Install build dependencies</H3>

<div class="code"><PRE>
dnf install qt5-qtwebkit-devel qt5-qtlocation-devel qt5-qttools-static
qt5-qtscript-devel qca-qt5-devel python3-qt5-devel python3-qscintilla-qt5-devel
qscintilla-qt5-devel python3-qscintilla-devel python3-qscintilla-qt5
clang flex bison geos-devel gdal-devel sqlite-devel libspatialite-devel
qt5-qtsvg-devel qt5-qtxmlpatterns-devel spatialindex-devel expat-devel proj-devel
qwt-qt5-devel gsl-devel postgresql-devel cmake python3-future gdal-python3
python3-psycopg2 python3-PyYAML python3-pygments python3-jinja2 python3-OSWLib
qca-qt5-ossl
dnf install qt5-qtwebkit-devel qt5-qtlocation-devel qt5-qttools-static qt5-qtscript-devel qca-qt5-devel python3-qt5-devel python3-qscintilla-qt5-devel qscintilla-qt5-devel python3-qscintilla-devel python3-qscintilla-qt5 clang flex bison geos-devel gdal-devel sqlite-devel libspatialite-devel qt5-qtsvg-devel qt5-qtxmlpatterns-devel spatialindex-devel expat-devel proj-devel qwt-qt5-devel gsl-devel postgresql-devel cmake python3-future gdal-python3 python3-psycopg2 python3-PyYAML python3-pygments python3-jinja2 python3-OSWLib qca-qt5-ossl
</PRE></div>

<P>
@@ -1734,7 +1727,7 @@ <H2>5.4. Install development frameworks for QGIS dependencies</H2>

<P>
Download William Kyngesburye's excellent GDAL Complete package that includes
PROJ, GEOS, GDAL, SQLite3, Spatialite, and image libraries, as frameworks.
PROJ, GEOS, GDAL, SQLite3, SpatiaLite, and image libraries, as frameworks.
There are also GSL and FreeType frameworks.
</P>
<P>
@@ -1745,9 +1738,9 @@ <H2>5.4. Install development frameworks for QGIS dependencies</H2>
</P>
<P>
William provides an additional installer package for PostgreSQL (for PostGIS
support). QGIS just needs the libpq client library, so unless you want to
support). QGIS just needs the libpq client library, so unless you want to
setup the full Postgres + PostGIS server, all you need is the client-only
package. It's available here:
package. It's available here:
</P>
<P>
<A HREF="http://www.kyngchaos.com/software/postgres">http://www.kyngchaos.com/software/postgres</A>
@@ -77,7 +77,7 @@
<DIV CLASS="header" ID="header">
<H1>QGIS News</H1>
<H2>Change history for the QGIS Project</H2>
<H3>Saturday April 29, 2017</H3>
<H3>Friday July 14, 2017</H3>
</DIV>

<DIV CLASS="toc">
@@ -116,8 +116,8 @@ <H3>Saturday April 29, 2017</H3>
</DIV>
<DIV CLASS="body" ID="body">
<P>
Last Updated: Saturday April 29, 2017
Last Change : Saturday April 29, 2017
Last Updated: Friday July 14, 2017
Last Change : Friday July 14, 2017
</P>

<A NAME="toc1"></A>
@@ -1865,7 +1865,7 @@ <H1>28. 0.5</H1>
Fixed command line loading bug to eliminate bogus warning for vector layers
Modified splashscreen.cpp to allow specification of x,y for text drawing on
the splash image
Imperfectly fixed problem where postgis attributes aren't displayed if the
Imperfectly fixed problem where PostGIS attributes aren't displayed if the
primary key is not of type int4 (bug 1042706).
Added Latvian translation file (untranslated at present)
<P></P>
@@ -2496,7 +2496,7 @@ Added QgsRasterLayer::filterLayer which gets called near the end of each of

2004-03-06 [didge] 0.1.0devel6
Changed configure stuff to write DEFINES in config.h.
Postgresql stuff needs testing as I commented the compileflags in src/Makefile.am
PostgreSQL stuff needs testing as I commented the compileflags in src/Makefile.am
Infos will be posted on the devel mailinglist

2004-03-04 [ts] 0.1.0devel5
@@ -212,14 +212,14 @@ osgEarth), try bypassing ccache.
== Install development frameworks for QGIS dependencies ==

Download William Kyngesburye's excellent GDAL Complete package that includes
PROJ, GEOS, GDAL, SQLite3, Spatialite, and image libraries, as frameworks.
PROJ, GEOS, GDAL, SQLite3, SpatiaLite, and image libraries, as frameworks.
There are also GSL and FreeType frameworks.

http://www.kyngchaos.com/software/frameworks

Once downloaded, open and install the frameworks.

William provides an additional installer package for Postgresql (for PostGIS
William provides an additional installer package for PostgreSQL (for PostGIS
support). QGIS just needs the libpq client library, so unless you want to
setup the full Postgres + PostGIS server, all you need is the client-only
package. It's available here:

0 comments on commit 9c08d00

Please sign in to comment.
You can’t perform that action at this time.